Bug 1335611 - [RFE] EPEL6 branch of pkgdiff
Summary: [RFE] EPEL6 branch of pkgdiff
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgdiff
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 16:04 UTC by Pat Riehecky
Modified: 2016-06-10 06:49 UTC (History)
2 users (show)

Fixed In Version: pkgdiff-1.7.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 06:49:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Pat Riehecky 2016-05-12 16:04:05 UTC
Description of problem:
Can pkgdiff be branched for EPEL6?  It is useful to have on hand for larger rebasing of packages.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Richard Shaw 2016-05-12 16:25:42 UTC
This should be pretty easy but there's a few things to check. It would require abi-dumper as a dependency as well as several perl modules that I need to make sure are available (and perhaps a new enough version).

Currently id.fedoraproject.org (Ipsilon) is having issues so I can't log into pkgdb to request new branches 

I'll add Orion to this BZ as he maintains abi-compliance-checker for EPEL and may be interested in supporting abi-dumper and pkgdiff on EPEL.

Comment 2 Orion Poplawski 2016-05-12 16:51:24 UTC
abi-dumper builds fine on EL6.  So does pkgdiff minus the --no-discard-stderr option to htlp2man which is missing on EL6.  Scratch build is here - http://koji.fedoraproject.org/koji/taskinfo?taskID=14027916

FYI - wdiff is in epel testing.

So, yeah, I could handle EPEL support for pkgdiff/abi-dumper.

Comment 3 Orion Poplawski 2016-05-12 16:54:47 UTC
Scratch build of abi-dumper: http://koji.fedoraproject.org/koji/taskinfo?taskID=14028090

Comment 4 Richard Shaw 2016-05-12 17:47:38 UTC
Works for me. If you need to add a conditional to deal with help2man go ahead and commit it to master so we can keep the specs in sync.

Comment 5 Fedora Update System 2016-05-24 16:40:08 UTC
pkgdiff-1.7.2-1.el6 abi-dumper-0.99.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-38efb47958

Comment 6 Fedora Update System 2016-05-26 11:46:43 UTC
abi-dumper-0.99.15-1.el6, pkgdiff-1.7.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-38efb47958

Comment 7 Fedora Update System 2016-06-10 06:49:31 UTC
abi-dumper-0.99.15-1.el6, pkgdiff-1.7.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.